{ --------------------------------------------------------------------
  SOUNDEX.PAS - Sample programs from the Sound example
  Turbo Pascal Tutor 4.0
  Copyright (c) 1984, 1988 by Borland International, Inc.
  -------------------------------------------------------------------- }

  program Faucet;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      I := 200;
      repeat
        Sound(I);
        Delay(12);
        Inc(I, 80);
      until I > 450;
      NoSound;
      Delay(1000);
    until KeyPressed;
  end.

  program Phone;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      for I := 1 to 100 do
      begin
        Sound(1200);
        Delay(10);
        NoSound;
      end;
      Delay(800);
    until KeyPressed;
  end.

  program Test;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      for I := 1 to 1000 do
      begin
        Sound(1800);
        Delay(2);
        Sound(2000);
        Delay(2);
      end;
    until KeyPressed;
    NoSound;
  end.

  program Alert;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      for I := 450 to 720 do
      begin
        Sound(I);
        Delay(3);
      end;
      NoSound;
      Delay(500);
    until KeyPressed;
  end.

  program Computer;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      Sound(Random(200) + 200);
      Delay(90);
      NoSound;
      Delay(50);
    until KeyPressed;
  end.

  program Siren;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      for I := 500 to 2000 do
      begin
        Delay(1);
        Sound(I);
      end;
      for I := 2000 downto 500 do
      begin
        Delay(1);
        Sound(I);
      end;
    until KeyPressed;
    NoSound;
  end.

  program Horse;

  uses Crt;

  var
    I : Integer;
  begin
    repeat
      for I := 1 to 3 do
      begin
        if I = 2 then
          Sound(250)
        else
          Sound(100);
        Delay(7);
        NoSound;
        Delay(90);
      end;
      Sound(300);
      Delay(15);
      NoSound;
      Delay(200);
    until KeyPressed;
  end.

  program Swamp;

  uses Crt;

  var
    I : Integer;
    Whistle : Integer;

    procedure Bird;
    begin
      I := 2000;
      while I < 4000 do
      begin
        sound(I);
        Inc(I);
      end;
      NoSound;
    end; { Bird }

  begin
    Randomize;
    repeat
      Whistle := Random(500) + 2000;
      for I := 1 to 20 do
      begin
        Sound(Random(100) + Whistle);
        Delay(7);
        NoSound;
        Delay(40);
      end;
      if Random(2) = 1 then
        Bird;
      Delay(Random(800) + 100);
      if Random(2) = 1 then
        Bird;
    until KeyPressed;
    NoSound;
  end.

  program Heart;

  uses Crt;

  var
    I, Stop : Integer;
  begin
    Randomize;
    I := 1;
    Stop := Random(7) + 4;
    repeat
      Sound(1000);
      Delay(100);
      NoSound;
      Delay(175);
      Sound(1000);
      Delay(60);
      NoSound;
      Delay(1000);
      Inc(I);
    until (I = Stop) or KeyPressed;
    Sound(1000);
    Delay(3000);
    NoSound;
  end.

  program Door;

  uses Crt;

  var
    Sound1, Sound2, Sound3 : Word;
    I : Integer;
  begin
    repeat
      Sound1 := 1040;
      Sound2 := 8000;
      Sound3 := 100;
      for I := 1 to 50 do
      begin
        Sound(Sound1);
        Dec(Sound1, 20);
        Delay(2);
        Sound(Sound2);
        Dec(Sound2, 40);
        Delay(1);
        Sound(Sound3);
        Dec(Sound3);
        Delay(1);
        NoSound;
        Delay(15);
      end;
      Delay(200);
      Sound(400);
      Delay(4);
      Sound(300);
      Delay(4);
      Sound(100);
      Delay(10);
      NoSound;
      Delay(1000);
    until KeyPressed;
  end.

  program Bottle;

  uses Crt;

  var
    I, J, S, Time : Integer;
  begin
    repeat
      Time := 300;
      S := 100;
      for I := 1 to 25 do
      begin
        for J := S to S + 20 do
        begin
          Sound(J);
          Delay(3);
        end;
        NoSound;
        Delay(Time);
        Inc(S, 10);
        Dec(Time,10);
      end;
      Delay(500);
    until KeyPressed;
  end.

  program Plane;

  uses Crt;

  var
    I, J : Integer;
    S : Integer;
    E1, E2 : Integer;
  begin
    Randomize;
    E1 := 700;
    E2 := 500;
    for I := 1 to 500 do
    begin
      Sound(E1);
      Delay(3);
      Sound(E2);
      Delay(3);
    end;
    for I := 1 to 500 do
    begin
      Sound(E1);
      Delay(3);
      Sound(E2);
      Delay(3);
      if Random(50) = 0 then
      begin
        NoSound;
        Delay(Random(100) + 50);
      end;
    end;
    NoSound;
    Delay(300);
    for I := 1 to 200 do
    begin
      Sound(E1);
      Delay(3);
      Sound(E2);
      Delay(3);
    end;
    for I := 1 to 400 do
    begin
      Sound(E1);
      Delay(3);
      Sound(E2);
      Delay(3);
      Sound(800);
      Delay(3);
      if Random(2) = 0 then
      begin
        Dec(E1, 2);
        Dec(E2, 2);
      end;
    end;
    NoSound;
    Delay(200);
    for J := 1 to 1500 do
    begin
      Sound(Random(600) + 40);
      Delay(1);
    end;
    NoSound;
  end.

  program Woods;
  uses Crt;

    procedure Bird(KindOfBird : Byte; Duration : Word; Pitch : Integer);
    var
      I, J, K : Integer;
    begin
      I := 1;
      case KindOfBird of
        1 : begin
          while I < Duration do
          begin
            Sound(Pitch + I);
            Inc(I);
          end;
          NoSound;
        end;
        2 : begin
          J := I + (I div 10);
          while I < Duration do
          begin
            Sound(Pitch + I);
            Inc(I);
          end;
          NoSound;
          Delay(100);
          while I > J do
          begin
            Sound(Pitch + I);
            Dec(I);
          end;
          NoSound;
        end;
        3 : begin
          K := 1;
          while K < Random(20) + 10 do
          begin
            Sound(Pitch);
            Delay(30);
            Sound(Pitch + (pitch div 10));
            Delay(30);
            Inc(K);
          end;
          NoSound;
        end;
        4 : begin
          I := Random(5) + 10;
          K := Pitch + (Pitch div 10);
          while I > 1 do
          begin
            J := Pitch;
            while J < K do
            begin
              Sound(J);
              Delay(6);
              Inc(J, 10);
            end;
            NoSound;
            Delay(40);
            Dec(I);
          end;
        end;
      end; { case }
    end; { Bird of Woods }

  begin { Woods }
    Randomize;
    repeat
      Bird(Succ(Random(4)), Random(2000) + 300, Random(4000) + 200);
      Delay(Random(400) + 20);
    until KeyPressed;
    NoSound;
  end.
